php.net |  support |  documentation |  report a bug |  advanced search |  search howto |  statistics |  random bug |  login
Bug #68520 requesting new pecl release
Submitted: 2014-11-27 22:52 UTC Modified: 2017-10-24 23:28 UTC
Votes:3
Avg. Score:5.0 ± 0.0
Reproduced:3 of 3 (100.0%)
Same Version:3 (100.0%)
Same OS:1 (33.3%)
From: tyrael@php.net Assigned:
Status: Suspended Package: mysqlnd_memcache (PECL)
PHP Version: 5.6.3 OS:
Private report: No CVE-ID: None
Have you experienced this issue?
Rate the importance of this bug to you:

 [2014-11-27 22:52 UTC] tyrael@php.net
Description:
------------
hi,

the latest (1.0.1) release is not compatible with PHP 5.6: the signature of zval_to_mysqlnd got changed in 5.6.
I've pushed a fix for making it compatible for 5.6, and now master seems to be building/working fine, so it would be nice if you could do an 5.6 compatible pecl release!


Patches

Add a Patch

Pull Requests

Add a Pull Request

History

AllCommentsChangesGit/SVN commitsRelated reports
 [2014-11-28 10:26 UTC] tyrael@php.net
-Assigned To: +Assigned To: johannes
 [2016-12-18 17:44 UTC] john dot nicholls at eagleeye dot com
PHP 5.6 is well established now guys!   We'll be moving to PHP 7.1 within 6 months, so it would be really helpful if we could get this extension working and so shave vital microseconds off our query times.
 [2017-10-24 06:53 UTC] kalle@php.net
-Status: Assigned +Status: Open -Assigned To: johannes +Assigned To:
 [2017-10-24 23:28 UTC] kalle@php.net
-Status: Open +Status: Suspended
 [2017-10-24 23:28 UTC] kalle@php.net
The mysqlnd_memcache package have not had a release since 2013 and no development since, its safe to say that this package is no longer maintained, if development picks back up then this report should be re-opened
 
PHP Copyright © 2001-2019 The PHP Group
All rights reserved.
Last updated: Sat Feb 23 09:01:25 2019 UTC